# Uses of Interface
org.apache.solr.common.util.Utils.InputStreamConsumer

Packages that use Utils.InputStreamConsumer
Package
Description
org.apache.solr.common.util
Common utility classes reused on both clients & server.

## Uses of Utils.InputStreamConsumer in org.apache.solr.common.util

Fields in org.apache.solr.common.util declared as Utils.InputStreamConsumer
Modifier and Type
Field
Description
`static final Utils.InputStreamConsumer<?>`
Utils.`JAVABINCONSUMER`
`static final Utils.InputStreamConsumer<?>`
Utils.`JSONCONSUMER`
Methods in org.apache.solr.common.util that return Utils.InputStreamConsumer
Modifier and Type
Method
Description
`static Utils.InputStreamConsumer<ByteBuffer>`
Utils.`newBytesConsumer(int maxSize)`